=== apps/replica_exchange_protomol/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

all:

test:

install:
	cp protomol_functions.py ${CCTOOLS_INSTALL_DIR}/bin
	cp replica_exchange.py ${CCTOOLS_INSTALL_DIR}/bin

clean:
