=== debian/changelog ===
cctools (4.0-3build1) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 16:59:54 +0000

cctools (4.0-3) unstable; urgency=medium

  * Adopting cctools. (Closes: #889130)
  * Get mpi path from pkg-config. don't assume /usr/include/mpi/mpi.h
    which breaks on openmpi 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Apr 2018 09:12:01 +0100

cctools (4.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Fix FTBFS with glibc 2.26, patch by Juhani Numminen.  (Closes: #887763)
  * Drop debian/patches/multiarch_configure -- upstreamed and unused.
  * Priority optional.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 03 Feb 2018 04:30:36 +0100

cctools (4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #845828)
  * Fix typo in description.  (Closes: #749777)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:16:40 +0100

cctools (4.0-1) unstable; urgency=low

  * New upstream release (missed quite a few).
    - Fix FD_CLOEXEC file descriptor flag setting (Closes: #696249).
  * Disabled now obsolete patches (run_tests_on_buildd, parrot_run_hang_fix).
  * Bump debhelper compat level to 9, to enable hardening.
  * Disable API doc generation via doxygen for now -- to avoid delaying this
    overdue upload even longer. The problem of hanging doxygen remains, but is
    now hidden (Closes: #718092).
  * Add patch to use bash as interpreter for ec2_remove_workers -- contains
    bash-specific for loop construct.

 -- Michael Hanke <mih@debian.org>  Mon, 29 Jul 2013 18:55:40 +0200
