=== debian/changelog ===
cctools (6.2.9-2) unstable; urgency=medium

  * Add path for Hurd support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jun 2018 08:44:11 +0100

cctools (6.2.9-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches:
    - remove handle_bashism
    - remove missing_includes
  * Provide python3-workqueue package
  * Update homepage to https version
  * Set coop-computing-tools-doc as M-A: foreign
  * Change VCS paths to salsa.d.o
  * Standards-Version: 4.1.4
  * libperl-dev now needed to build
  * Add new manpages
  * B-D on libsqlite3-dev. Use this rather than embedded copy 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 May 2018 08:47:14 +0100
