=== debian/control ===
--- 
+++ 
@@ -2,19 +2,26 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9~), python-all-dev (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 10), 
+  python-all-dev (>= 2.6.6-3~),
+  python3-all-dev, 
   libglobus-common-dev,
   default-libmysqlclient-dev,
   libfuse-dev,
+  libperl-dev,
   libkrb5-dev,
+  libsqlite3-dev,
   pkg-config,
   libglobus-gss-assist-dev, net-tools, doxygen,
-  libreadline6-dev | libreadline-dev, libncurses5-dev | libncurses-dev, swig,
-  m4, mpi-default-dev
-Standards-Version: 4.1.3
-Homepage: http://nd.edu/~ccl/software/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/cctools.git
+  libreadline6-dev | libreadline-dev, 
+  libncurses5-dev | libncurses-dev, 
+  swig,
+  m4, 
+  mpi-default-dev
+Standards-Version: 4.1.4
+Homepage: https://ccl.cse.nd.edu/software/
+Vcs-Browser: https://salsa.debian.org:/neurodebian-team/cctools.git
+Vcs-Git: https://salsa.debian.org:/neurodebian-team/cctools.git
 
 Package: coop-computing-tools
 Architecture: any
@@ -57,6 +64,7 @@
 Package: coop-computing-tools-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery
 Description: documentation for coop-computing-tools
  These tools are a collection of software that help users to share resources in
@@ -68,8 +76,17 @@
 Package: python-workqueue
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python
 Description: cooperative computing tools work queue Python bindings
  CCTools's Work Queue is a system and API for building master-worker style
  programs that scale up to thousands of processors. This package provides
  bindings to access this system from Python.
+
+Package: python3-workqueue
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3
+Description: cooperative computing tools work queue Python3 bindings
+ CCTools's Work Queue is a system and API for building master-worker style
+ programs that scale up to thousands of processors. This package provides
+ bindings to access this system from Python3.
