=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # one ring to rule them all ...
 %:
-	dh $@ --buildsystem=makefile --with python2
+	dh $@ --buildsystem=makefile --with python2,python3
 
 override_dh_auto_configure:
 	# disable warning about unused results (necessary because warning is error
