=== debian/changelog ===
cctools (6.2.10-1) unstable; urgency=medium

  * New upstream release
  * Use xz compression for pkg
  * Add headers to patches
  * Build with support for python3.6, python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 15:35:58 +0100

cctools (6.2.9-6) unstable; urgency=medium

  * More work needed on SYS_openat.patch for Arm64 support

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jun 2018 09:40:17 +0100

cctools (6.2.9-5) unstable; urgency=medium

  * Fix multiarch triplet detection (use dpkg-printarchitecture)
  * Typo in sys_openat patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jun 2018 17:02:18 +0100

cctools (6.2.9-4) unstable; urgency=medium

  * Re-enable multiarch_configure patch
  * Remove obsolete patch parrot_run_hang_fix
  * Add 64-bit detection for globus gcc64 flavor

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jun 2018 20:03:15 +0100

cctools (6.2.9-3) unstable; urgency=medium

  * Add SYS_openat support for arm64 arch
  * Drop explicit path for --with-mysql-path as it breaks on M-A.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Jun 2018 19:56:57 +0100
