## cctools 7.0.0

=== debian/changelog ===
cctools (7.0.0-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:06:22 +0000

cctools (7.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 09:22:21 +0100
