## cctools 7.0.8

=== debian/changelog ===
cctools (7.0.8-1) unstable; urgency=medium

  * New upstream release
  * Enable verbose build by default for glibc-2.28 transition.
    Closes: #913059
  * perl-path patch: Call 'usr/bin/perl' not 'env perl'

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Nov 2018 12:09:15 +0000
